//--------------------------------------------------------------------
// test3v2 
//--------------------------------------------------------------------
#property indicator_separate_window  
#property indicator_buffers 8       
#property indicator_color1 Gold    
#property indicator_color2 Red
#property indicator_color3 Blue
#property indicator_color4 Aqua
#property indicator_color5 Green
#property indicator_color6 Violet
#property indicator_color7 White
#property indicator_color8 White

extern int period=24;

double Buf0[];
double Buf1[];
double Buf2[];
double Buf3[];
double Buf4[];
double Buf5[];
double Buf6[];
double Buf7[];

double EURUSD, // 
       GBPUSD,
       USDCHF,
       USDJPY,
       AUDUSD,
       USDCAD,
       NZDUSD, 
       USDSEK;        
                 
double USDx, // 
       EURx,
       GBPx,
       JPYx,
       CHFx,
       CADx,
       AUDx,
       NZDx;      


//--------------------------------------------------------------------
int init()                          
  {
//--------------------------------------------------------------------
   IndicatorBuffers(8);
   SetIndexBuffer(0,Buf0);      
   SetIndexStyle (0,DRAW_NONE,STYLE_SOLID,1);
   SetIndexBuffer(1,Buf1);         
   SetIndexStyle (1,DRAW_NONE,STYLE_SOLID,1);
   SetIndexBuffer(2,Buf2);         
   SetIndexStyle (2,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(3,Buf3);         
   SetIndexStyle (3,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(4,Buf4);         
   SetIndexStyle (4,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(5,Buf5);         
   SetIndexStyle (5,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(6,Buf6);         
   SetIndexStyle (6,DRAW_LINE,STYLE_SOLID,1); 
   SetIndexBuffer(7,Buf7);         
   SetIndexStyle (7,DRAW_LINE,STYLE_SOLID,1);    
   
   SetLevelValue (0,0);
   
   return;                          
  }
//--------------------------------------------------------------------

//--------------------------------------------------------------------
int start()                         
  {   
   int limit,i,counted_bars;
   counted_bars=IndicatorCounted();
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
   for(i=0; i<limit; i++)
     {
//-- 
   EURUSD=iClose("EURUSD",0,i);//
   GBPUSD=iClose("GBPUSD",0,i);//
   USDCHF=iClose("USDCHF",0,i);
   USDJPY=iClose("USDJPY",0,i);//
   AUDUSD=iClose("AUDUSD",0,i);
   USDCAD=iClose("USDCAD",0,i);//
   NZDUSD=iClose("NZDUSD",0,i);
   USDSEK=iClose("USDSEK",0,i);// 

   
   USDx=50.14348112*MathPow(EURUSD,-0.576)*MathPow(USDJPY,0.136)*MathPow(GBPUSD,-0.119)
   *MathPow(USDCAD,0.091)*MathPow(USDSEK,0.042)*MathPow(USDCHF,0.036);

   Buf0[i]=USDx; //USDx
   Buf1[i]=EURUSD*USDx; //EURx
   //Buf2[i]=;
//-- 
   }
   
   for(i=0; i<limit; i++)
     {
      Buf3[i]=iCCIOnArray(Buf1,0,period,i);
      Buf4[i]=iCCIOnArray(Buf0,0,period,i);
 
     }
   
//--------------------------------------------------------------------
   return;                   
  }
//--------------------------------------------------------------------



